Package org.springframework.beans.factory.parsing

# Class Location

java.lang.Object
org.springframework.beans.factory.parsing.Location

public class Location extends Object
Class that models an arbitrary location in a `resource`.

Typically used to track the location of problematic or erroneous metadata in XML configuration files. For example, a `source` location might be 'The bean defined on line 76 of beans.properties has an invalid Class'; another source might be the actual DOM Element from a parsed XML `Document`; or the source object might simply be `null`.

Since:
  2.0
Author:
  Rob Harrop

## Constructor Summary

Constructors
Constructor
Description
`Location(org.springframework.core.io.Resource resource)`
Create a new instance of the `Location` class.
`Location(org.springframework.core.io.Resource resource, Object source)`
Create a new instance of the `Location` class.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.core.io.Resource`
`getResource()`
Get the resource with which this location is associated.
`Object`
`getSource()`
Get the actual location within the associated `resource` (may be `null`).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Location

public Location(org.springframework.core.io.Resource resource)
Create a new instance of the `Location` class.

Parameters:
  `resource` - the resource with which this location is associated

### Location

public Location(org.springframework.core.io.Resource resource, @Nullable Object source)
Create a new instance of the `Location` class.

Parameters:
  `resource` - the resource with which this location is associated
  `source` - the actual location within the associated resource (may be `null`)

## Method Details

### getResource

public org.springframework.core.io.Resource getResource()
Get the resource with which this location is associated.

### getSource

@Nullable public Object getSource()
Get the actual location within the associated `resource` (may be `null`).

See the `class level javadoc for this class` for examples of what the actual type of the returned object may be.